Bug 427873 - Checksum offloading and IP connection tracking don't play well together
Checksum offloading and IP connection tracking don't play well together
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: Don Dutile
Martin Jenner
:
Depends On: 414131
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-07 18:11 EST by Don Dutile
Modified: 2008-02-27 00:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 00:13:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Dutile 2008-01-07 18:11:29 EST
+++ This bug was initially created as a clone of Bug #414131 +++

With the 2.6.9-67.EL xenU kernel I am unable to ssh into the guest if the
firewall is enabled. I have confirmed that SSH is being allowed through by the
firewall. sshd forks a new process to recieve the connection but this then waits
forever for more data.

If I "service iptables stop" within the guest then all works OK. 

I believe this is fixed by
http://hg.uk.xensource.com/xen-unstable.hg?cs=36d020268c6c

-- Additional comment from ijc@hellion.org.uk on 2007-12-06 10:33 EST --
Created an attachment (id=279791)
backported version of 157:36d020268c6c

I had to munge 157:36d020268c6c to get it to apply, the version I ended up with
is attached.

Alternatively there are a handful of prior patches that rework the GSO vs. TSO
setup in netfront.c which you could pull in that would probably make 157 apply
ok.

-- Additional comment from ddutile@redhat.com on 2008-01-07 18:01 EST --
This only fails if ssh'ing from another (any) domU to the 2.6.9-67.EL xenU/domU
on the same local machine.
ssh-ing from dom0 works; ssh-ing from another remote machine works also.
Comment 1 Chris Lalancette 2008-02-26 23:27:01 EST
Don,
     I think you mentioned that this ended up being just a bug in the RHEL-4 PV
kernel, and not in the RHEL-5 PV kernel.  Assuming that is the case, can you
close this bug out?

Thanks,
Chris Lalancette
Comment 2 Don Dutile 2008-02-27 00:13:00 EST
Correct, it's only in rhel4-xenU.
thought I closed this bz.... will do so now...

Note You need to log in before you can comment on or make changes to this bug.